Package org.eclipse.ecf.remoteservice

# Class AbstractRemoteService.ProxyClassLoader

java.lang.Object
java.lang.ClassLoader
org.eclipse.ecf.remoteservice.AbstractRemoteService.ProxyClassLoader

Enclosing class:
  AbstractRemoteService

public class AbstractRemoteService.ProxyClassLoader extends ClassLoader

Since:
  8.0

## Constructor Summary

Constructors
Constructor
Description
`ProxyClassLoader(ClassLoader cl)`

## Method Summary

Modifier and Type
Method
Description
`Class`
`loadClass(String name)`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findClass, findLibrary, findLoadedClass, findResource, findResource, findResources, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProxyClassLoader

public ProxyClassLoader(ClassLoader cl)

## Method Details

### loadClass

public Class loadClass(String name) throws ClassNotFoundException

Overrides:
  `loadClass` in class `ClassLoader`
Throws:
  `ClassNotFoundException`